Index: dnspython-1.12.0/dns/renderer.py
===================================================================
--- dnspython-1.12.0.orig/dns/renderer.py
+++ dnspython-1.12.0/dns/renderer.py
@@ -15,20 +15,25 @@
 
 """Help for building DNS wire format messages"""
 
-import cStringIO
+from io import BytesIO
 import struct
 import random
 import time
+import sys
 
 import dns.exception
 import dns.tsig
+from ._compat import long
+
 
 QUESTION = 0
 ANSWER = 1
 AUTHORITY = 2
 ADDITIONAL = 3
 
+
 class Renderer(object):
+
     """Helper class for building DNS wire-format messages.
 
     Most applications can use the higher-level L{dns.message.Message}
@@ -51,7 +56,7 @@ class Renderer(object):
         wire = r.get_wire()
 
     @ivar output: where rendering is written
-    @type output: cStringIO.StringIO object
+    @type output: BytesIO object
     @ivar id: the message id
     @type id: int
     @ivar flags: the message flags
@@ -86,7 +91,7 @@ class Renderer(object):
         @type origin: dns.name.Namem or None.
         """
 
-        self.output = cStringIO.StringIO()
+        self.output = BytesIO()
         if id is None:
             self.id = random.randint(0, 65535)
         else:
@@ -97,7 +102,7 @@ class Renderer(object):
         self.compress = {}
         self.section = QUESTION
         self.counts = [0, 0, 0, 0]
-        self.output.write('\x00' * 12)
+        self.output.write(b'\x00' * 12)
         self.mac = ''
 
     def _rollback(self, where):
@@ -112,7 +117,7 @@ class Renderer(object):
         self.output.seek(where)
         self.output.truncate()
         keys_to_delete = []
-        for k, v in self.compress.iteritems():
+        for k, v in self.compress.items():
             if v >= where:
                 keys_to_delete.append(k)
         for k in keys_to_delete:
@@ -218,13 +223,13 @@ class Renderer(object):
         """
 
         # make sure the EDNS version in ednsflags agrees with edns
-        ednsflags &= 0xFF00FFFFL
+        ednsflags &= long(0xFF00FFFF)
         ednsflags |= (edns << 16)
         self._set_section(ADDITIONAL)
         before = self.output.tell()
         self.output.write(struct.pack('!BHHIH', 0, dns.rdatatype.OPT, payload,
                                       ednsflags, 0))
-        if not options is None:
+        if options is not None:
             lstart = self.output.tell()
             for opt in options:
                 stuff = struct.pack("!HH", opt.otype, 0)
Index: dnspython-1.12.0/dns/resolver.py
===================================================================
--- dnspython-1.12.0.orig/dns/resolver.py
+++ dnspython-1.12.0/dns/resolver.py
@@ -40,6 +40,8 @@ import dns.rdataclass
 import dns.rdatatype
 import dns.reversename
 
+from ._compat import xrange, string_types
+
 if sys.platform == 'win32':
     import _winreg
 
@@ -110,6 +112,7 @@ class Answer(object):
     @ivar canonical_name: The canonical name of the query name
     @type canonical_name: dns.name.Name object
     """
+
     def __init__(self, qname, rdtype, rdclass, response,
                  raise_on_no_answer=True):
         self.qname = qname
@@ -153,7 +156,7 @@ class Answer(object):
                 # of qname.
                 try:
                     srrset = response.find_rrset(response.authority, qname,
-                                                rdclass, dns.rdatatype.SOA)
+                                                 rdclass, dns.rdatatype.SOA)
                     if min_ttl == -1 or srrset.ttl < min_ttl:
                         min_ttl = srrset.ttl
                     if srrset[0].minimum < min_ttl:
@@ -198,7 +201,9 @@ class Answer(object):
     def __delslice__(self, i, j):
         del self.rrset[i:j]
 
+
 class Cache(object):
+
     """Simple DNS answer cache.
 
     @ivar data: A dictionary of cached data
@@ -230,7 +235,7 @@ class Cache(object):
         now = time.time()
         if self.next_cleaning <= now:
             keys_to_delete = []
-            for (k, v) in self.data.iteritems():
+            for (k, v) in self.data.items():
                 if v.expiration <= now:
                     keys_to_delete.append(k)
             for k in keys_to_delete:
@@ -285,8 +290,8 @@ class Cache(object):
 
         try:
             self.lock.acquire()
-            if not key is None:
-                if self.data.has_key(key):
+            if key is not None:
+                if key in self.data:
                     del self.data[key]
             else:
                 self.data = {}
@@ -294,9 +299,12 @@ class Cache(object):
         finally:
             self.lock.release()
 
+
 class LRUCacheNode(object):
+
     """LRUCache node.
     """
+
     def __init__(self, key, value):
         self.key = key
         self.value = value
@@ -319,7 +327,9 @@ class LRUCacheNode(object):
         self.next.prev = self.prev
         self.prev.next = self.next
 
+
 class LRUCache(object):
+
     """Bounded least-recently-used DNS answer cache.
 
     This cache is better than the simple cache (above) if you're
@@ -339,7 +349,8 @@ class LRUCache(object):
     def __init__(self, max_size=100000):
         """Initialize a DNS cache.
 
-        @param max_size: The maximum number of nodes to cache; the default is 100000.  Must be > 1.
+        @param max_size: The maximum number of nodes to cache; the default is
+        100000. Must be > 1.
         @type max_size: int
         """
         self.data = {}
@@ -387,7 +398,7 @@ class LRUCache(object):
         try:
             self.lock.acquire()
             node = self.data.get(key)
-            if not node is None:
+            if node is not None:
                 node.unlink()
                 del self.data[node.key]
             while len(self.data) >= self.max_size:
@@ -411,9 +422,9 @@ class LRUCache(object):
         """
         try:
             self.lock.acquire()
-            if not key is None:
+            if key is not None:
                 node = self.data.get(key)
-                if not node is None:
+                if node is not None:
                     node.unlink()
                     del self.data[node.key]
             else:
@@ -427,7 +438,9 @@ class LRUCache(object):
         finally:
             self.lock.release()
 
+
 class Resolver(object):
+
     """DNS stub resolver
 
     @ivar domain: The domain of this host
@@ -461,7 +474,8 @@ class Resolver(object):
     @type ednsflags: int
     @ivar payload: The EDNS payload size.  The default is 0.
     @type payload: int
-    @ivar flags: The message flags to use.  The default is None (i.e. not overwritten)
+    @ivar flags: The message flags to use.  The default is None (i.e. not
+    overwritten)
     @type flags: int
     @ivar cache: The cache to use.  The default is None.
     @type cache: dns.resolver.Cache object
@@ -469,6 +483,7 @@ class Resolver(object):
     The default is 'false'.
     @type retry_servfail: bool
     """
+
     def __init__(self, filename='/etc/resolv.conf', configure=True):
         """Initialize a resolver instance.
 
@@ -515,7 +530,7 @@ class Resolver(object):
         """Process f as a file in the /etc/resolv.conf format.  If f is
         a string, it is used as the name of the file to open; otherwise it
         is treated as the file itself."""
-        if isinstance(f, str) or isinstance(f, unicode):
+        if isinstance(f, string_types):
             try:
                 f = open(f, 'r')
             except IOError:
@@ -571,7 +586,7 @@ class Resolver(object):
         split_char = self._determine_split_char(nameservers)
         ns_list = nameservers.split(split_char)
         for ns in ns_list:
-            if not ns in self.nameservers:
+            if ns not in self.nameservers:
                 self.nameservers.append(ns)
 
     def _config_win32_domain(self, domain):
@@ -586,7 +601,7 @@ class Resolver(object):
         split_char = self._determine_split_char(search)
         search_list = search.split(split_char)
         for s in search_list:
-            if not s in self.search:
+            if s not in self.search:
                 self.search.append(dns.name.from_text(s))
 
     def _config_win32_fromkey(self, key):
@@ -669,59 +684,59 @@ class Resolver(object):
             lm.Close()
 
     def _win32_is_nic_enabled(self, lm, guid, interface_key):
-         # Look in the Windows Registry to determine whether the network
-         # interface corresponding to the given guid is enabled.
-         #
-         # (Code contributed by Paul Marks, thanks!)
-         #
-         try:
-             # This hard-coded location seems to be consistent, at least
-             # from Windows 2000 through Vista.
-             connection_key = _winreg.OpenKey(
-                 lm,
-                 r'SYSTEM\CurrentControlSet\Control\Network'
-                 r'\{4D36E972-E325-11CE-BFC1-08002BE10318}'
-                 r'\%s\Connection' % guid)
-
-             try:
-                 # The PnpInstanceID points to a key inside Enum
-                 (pnp_id, ttype) = _winreg.QueryValueEx(
-                     connection_key, 'PnpInstanceID')
-
-                 if ttype != _winreg.REG_SZ:
-                     raise ValueError
-
-                 device_key = _winreg.OpenKey(
-                     lm, r'SYSTEM\CurrentControlSet\Enum\%s' % pnp_id)
-
-                 try:
-                     # Get ConfigFlags for this device
-                     (flags, ttype) = _winreg.QueryValueEx(
-                         device_key, 'ConfigFlags')
-
-                     if ttype != _winreg.REG_DWORD:
-                         raise ValueError
-
-                     # Based on experimentation, bit 0x1 indicates that the
-                     # device is disabled.
-                     return not (flags & 0x1)
-
-                 finally:
-                     device_key.Close()
-             finally:
-                 connection_key.Close()
-         except (EnvironmentError, ValueError):
-             # Pre-vista, enabled interfaces seem to have a non-empty
-             # NTEContextList; this was how dnspython detected enabled
-             # nics before the code above was contributed.  We've retained
-             # the old method since we don't know if the code above works
-             # on Windows 95/98/ME.
-             try:
-                 (nte, ttype) = _winreg.QueryValueEx(interface_key,
-                                                     'NTEContextList')
-                 return nte is not None
-             except WindowsError:
-                 return False
+        # Look in the Windows Registry to determine whether the network
+        # interface corresponding to the given guid is enabled.
+        #
+        # (Code contributed by Paul Marks, thanks!)
+        #
+        try:
+            # This hard-coded location seems to be consistent, at least
+            # from Windows 2000 through Vista.
+            connection_key = _winreg.OpenKey(
+                lm,
+                r'SYSTEM\CurrentControlSet\Control\Network'
+                r'\{4D36E972-E325-11CE-BFC1-08002BE10318}'
+                r'\%s\Connection' % guid)
+
+            try:
+                # The PnpInstanceID points to a key inside Enum
+                (pnp_id, ttype) = _winreg.QueryValueEx(
+                    connection_key, 'PnpInstanceID')
+
+                if ttype != _winreg.REG_SZ:
+                    raise ValueError
+
+                device_key = _winreg.OpenKey(
+                    lm, r'SYSTEM\CurrentControlSet\Enum\%s' % pnp_id)
+
+                try:
+                    # Get ConfigFlags for this device
+                    (flags, ttype) = _winreg.QueryValueEx(
+                        device_key, 'ConfigFlags')
+
+                    if ttype != _winreg.REG_DWORD:
+                        raise ValueError
+
+                    # Based on experimentation, bit 0x1 indicates that the
+                    # device is disabled.
+                    return not (flags & 0x1)
+
+                finally:
+                    device_key.Close()
+            finally:
+                connection_key.Close()
+        except (EnvironmentError, ValueError):
+            # Pre-vista, enabled interfaces seem to have a non-empty
+            # NTEContextList; this was how dnspython detected enabled
+            # nics before the code above was contributed.  We've retained
+            # the old method since we don't know if the code above works
+            # on Windows 95/98/ME.
+            try:
+                (nte, ttype) = _winreg.QueryValueEx(interface_key,
+                                                    'NTEContextList')
+                return nte is not None
+            except WindowsError:
+                return False
 
     def _compute_timeout(self, start):
         now = time.time()
@@ -756,7 +771,8 @@ class Resolver(object):
         @type rdclass: int or string
         @param tcp: use TCP to make the query (default is False).
         @type tcp: bool
-        @param source: bind to this IP address (defaults to machine default IP).
+        @param source: bind to this IP address (defaults to machine default
+        IP).
         @type source: IP address in dotted quad notation
         @param raise_on_no_answer: raise NoAnswer if there's no answer
         (defaults is True).
@@ -773,13 +789,13 @@ class Resolver(object):
         @raises NoNameservers: no non-broken nameservers are available to
         answer the question."""
 
-        if isinstance(qname, (str, unicode)):
+        if isinstance(qname, string_types):
             qname = dns.name.from_text(qname, None)
-        if isinstance(rdtype, (str, unicode)):
+        if isinstance(rdtype, string_types):
             rdtype = dns.rdatatype.from_text(rdtype)
         if dns.rdatatype.is_metatype(rdtype):
             raise NoMetaqueries
-        if isinstance(rdclass, (str, unicode)):
+        if isinstance(rdclass, string_types):
             rdclass = dns.rdataclass.from_text(rdclass)
         if dns.rdataclass.is_metaclass(rdclass):
             raise NoMetaqueries
@@ -799,13 +815,13 @@ class Resolver(object):
         for qname in qnames_to_try:
             if self.cache:
                 answer = self.cache.get((qname, rdtype, rdclass))
-                if not answer is None:
+                if answer is not None:
                     if answer.rrset is None and raise_on_no_answer:
                         raise NoAnswer
                     else:
                         return answer
             request = dns.message.make_query(qname, rdtype, rdclass)
-            if not self.keyname is None:
+            if self.keyname is not None:
                 request.use_tsig(self.keyring, self.keyname,
                                  algorithm=self.keyalgorithm)
             request.use_edns(self.edns, self.ednsflags, self.payload)
@@ -878,7 +894,7 @@ class Resolver(object):
                     if rcode == dns.rcode.YXDOMAIN:
                         raise YXDOMAIN
                     if rcode == dns.rcode.NOERROR or \
-                           rcode == dns.rcode.NXDOMAIN:
+                            rcode == dns.rcode.NXDOMAIN:
                         break
                     #
                     # We got a response, but we're not happy with the
@@ -888,7 +904,7 @@ class Resolver(object):
                     if rcode != dns.rcode.SERVFAIL or not self.retry_servfail:
                         nameservers.remove(nameserver)
                     response = None
-                if not response is None:
+                if response is not None:
                     break
                 #
                 # All nameservers failed!
@@ -961,6 +977,7 @@ class Resolver(object):
 
 default_resolver = None
 
+
 def get_default_resolver():
     """Get the default resolver, initializing it if necessary."""
     global default_resolver
@@ -968,6 +985,7 @@ def get_default_resolver():
         default_resolver = Resolver()
     return default_resolver
 
+
 def query(qname, rdtype=dns.rdatatype.A, rdclass=dns.rdataclass.IN,
           tcp=False, source=None, raise_on_no_answer=True,
           source_port=0):
@@ -980,6 +998,7 @@ def query(qname, rdtype=dns.rdatatype.A,
     return get_default_resolver().query(qname, rdtype, rdclass, tcp, source,
                                         raise_on_no_answer, source_port)
 
+
 def zone_for_name(name, rdclass=dns.rdataclass.IN, tcp=False, resolver=None):
     """Find the name of the zone which contains the specified name.
 
@@ -993,7 +1012,7 @@ def zone_for_name(name, rdclass=dns.rdat
     @type resolver: dns.resolver.Resolver object or None
     @rtype: dns.name.Name"""
 
-    if isinstance(name, (str, unicode)):
+    if isinstance(name, string_types):
         name = dns.name.from_text(name, dns.name.root)
     if resolver is None:
         resolver = get_default_resolver()
@@ -1018,9 +1037,9 @@ def zone_for_name(name, rdclass=dns.rdat
 #
 
 _protocols_for_socktype = {
-    socket.SOCK_DGRAM : [socket.SOL_UDP],
-    socket.SOCK_STREAM : [socket.SOL_TCP],
-    }
+    socket.SOCK_DGRAM: [socket.SOL_UDP],
+    socket.SOCK_STREAM: [socket.SOL_TCP],
+}
 
 _resolver = None
 _original_getaddrinfo = socket.getaddrinfo
@@ -1030,9 +1049,10 @@ _original_gethostbyname = socket.gethost
 _original_gethostbyname_ex = socket.gethostbyname_ex
 _original_gethostbyaddr = socket.gethostbyaddr
 
+
 def _getaddrinfo(host=None, service=None, family=socket.AF_UNSPEC, socktype=0,
                  proto=0, flags=0):
-    if flags & (socket.AI_ADDRCONFIG|socket.AI_V4MAPPED) != 0:
+    if flags & (socket.AI_ADDRCONFIG | socket.AI_V4MAPPED) != 0:
         raise NotImplementedError
     if host is None and service is None:
         raise socket.gaierror(socket.EAI_NONAME)
@@ -1067,7 +1087,6 @@ def _getaddrinfo(host=None, service=None
         except:
             if flags & socket.AI_NUMERICHOST == 0:
                 try:
-                    qname = None
                     if family == socket.AF_INET6 or family == socket.AF_UNSPEC:
                         v6 = _resolver.query(host, dns.rdatatype.AAAA,
                                              raise_on_no_answer=False)
@@ -1130,6 +1149,7 @@ def _getaddrinfo(host=None, service=None
         raise socket.gaierror(socket.EAI_NONAME)
     return tuples
 
+
 def _getnameinfo(sockaddr, flags=0):
     host = sockaddr[0]
     port = sockaddr[1]
@@ -1169,28 +1189,32 @@ def _getnameinfo(sockaddr, flags=0):
         service = socket.getservbyport(port, pname)
     return (hostname, service)
 
+
 def _getfqdn(name=None):
     if name is None:
         name = socket.gethostname()
     return _getnameinfo(_getaddrinfo(name, 80)[0][4])[0]
 
+
 def _gethostbyname(name):
     return _gethostbyname_ex(name)[2][0]
 
+
 def _gethostbyname_ex(name):
     aliases = []
     addresses = []
     tuples = _getaddrinfo(name, 0, socket.AF_INET, socket.SOCK_STREAM,
-                         socket.SOL_TCP, socket.AI_CANONNAME)
+                          socket.SOL_TCP, socket.AI_CANONNAME)
     canonical = tuples[0][3]
     for item in tuples:
         addresses.append(item[4][0])
     # XXX we just ignore aliases
     return (canonical, aliases, addresses)
 
+
 def _gethostbyaddr(ip):
     try:
-        addr = dns.ipv6.inet_aton(ip)
+        dns.ipv6.inet_aton(ip)
         sockaddr = (ip, 80, 0, 0)
         family = socket.AF_INET6
     except:
@@ -1207,6 +1231,7 @@ def _gethostbyaddr(ip):
     # XXX we just ignore aliases
     return (canonical, aliases, addresses)
 
+
 def override_system_resolver(resolver=None):
     """Override the system resolver routines in the socket module with
     versions which use dnspython's resolver.
@@ -1232,6 +1257,7 @@ def override_system_resolver(resolver=No
     socket.gethostbyname_ex = _gethostbyname_ex
     socket.gethostbyaddr = _gethostbyaddr
 
+
 def restore_system_resolver():
     """Undo the effects of override_system_resolver().
     """
Index: dnspython-1.12.0/dns/reversename.py
===================================================================
--- dnspython-1.12.0.orig/dns/reversename.py
+++ dnspython-1.12.0/dns/reversename.py
@@ -21,6 +21,9 @@
 @type ipv6_reverse_domain: dns.name.Name object
 """
 
+import binascii
+import sys
+
 import dns.name
 import dns.ipv6
 import dns.ipv4
@@ -28,6 +31,7 @@ import dns.ipv4
 ipv4_reverse_domain = dns.name.from_text('in-addr.arpa.')
 ipv6_reverse_domain = dns.name.from_text('ip6.arpa.')
 
+
 def from_address(text):
     """Convert an IPv4 or IPv6 address in textual form into a Name object whose
     value is the reverse-map domain name of the address.
@@ -39,17 +43,22 @@ def from_address(text):
     try:
         v6 = dns.ipv6.inet_aton(text)
         if dns.ipv6.is_mapped(v6):
-            parts = ['%d' % ord(byte) for byte in v6[12:]]
+            if sys.version_info >= (3,):
+                parts = ['%d' % byte for byte in v6[12:]]
+            else:
+                parts = ['%d' % ord(byte) for byte in v6[12:]]
             origin = ipv4_reverse_domain
         else:
-            parts = list(v6.encode('hex_codec'))
+            parts = [x for x in str(binascii.hexlify(v6).decode())]
             origin = ipv6_reverse_domain
     except:
-        parts = ['%d' % ord(byte) for byte in dns.ipv4.inet_aton(text)]
+        parts = ['%d' %
+                 byte for byte in bytearray(dns.ipv4.inet_aton(text))]
         origin = ipv4_reverse_domain
     parts.reverse()
     return dns.name.from_text('.'.join(parts), origin=origin)
 
+
 def to_address(name):
     """Convert a reverse map domain name into textual address form.
     @param name: an IPv4 or IPv6 address in reverse-map form.
@@ -60,7 +69,7 @@ def to_address(name):
         name = name.relativize(ipv4_reverse_domain)
         labels = list(name.labels)
         labels.reverse()
-        text = '.'.join(labels)
+        text = b'.'.join(labels)
         # run through inet_aton() to check syntax and make pretty.
         return dns.ipv4.inet_ntoa(dns.ipv4.inet_aton(text))
     elif name.is_subdomain(ipv6_reverse_domain):
@@ -71,9 +80,9 @@ def to_address(name):
         i = 0
         l = len(labels)
         while i < l:
-            parts.append(''.join(labels[i:i+4]))
+            parts.append(b''.join(labels[i:i + 4]))
             i += 4
-        text = ':'.join(parts)
+        text = b':'.join(parts)
         # run through inet_aton() to check syntax and make pretty.
         return dns.ipv6.inet_ntoa(dns.ipv6.inet_aton(text))
     else:
Index: dnspython-1.12.0/dns/rrset.py
===================================================================
--- dnspython-1.12.0.orig/dns/rrset.py
+++ dnspython-1.12.0/dns/rrset.py
@@ -15,12 +15,16 @@
 
 """DNS RRsets (an RRset is a named rdataset)"""
 
+
 import dns.name
 import dns.rdataset
 import dns.rdataclass
 import dns.renderer
+from ._compat import string_types
+
 
 class RRset(dns.rdataset.Rdataset):
+
     """A DNS RRset (named rdataset).
 
     RRset inherits from Rdataset, and RRsets can be treated as
@@ -51,7 +55,7 @@ class RRset(dns.rdataset.Rdataset):
             ctext = ''
         else:
             ctext = '(' + dns.rdatatype.to_text(self.covers) + ')'
-        if not self.deleting is None:
+        if self.deleting is not None:
             dtext = ' delete=' + dns.rdataclass.to_text(self.deleting)
         else:
             dtext = ''
@@ -122,11 +126,11 @@ def from_text_list(name, ttl, rdclass, r
     @rtype: dns.rrset.RRset object
     """
 
-    if isinstance(name, (str, unicode)):
+    if isinstance(name, string_types):
         name = dns.name.from_text(name, None)
-    if isinstance(rdclass, (str, unicode)):
+    if isinstance(rdclass, string_types):
         rdclass = dns.rdataclass.from_text(rdclass)
-    if isinstance(rdtype, (str, unicode)):
+    if isinstance(rdtype, string_types):
         rdtype = dns.rdatatype.from_text(rdtype)
     r = RRset(name, rdclass, rdtype)
     r.update_ttl(ttl)
@@ -135,6 +139,7 @@ def from_text_list(name, ttl, rdclass, r
         r.add(rd)
     return r
 
+
 def from_text(name, ttl, rdclass, rdtype, *text_rdatas):
     """Create an RRset with the specified name, TTL, class, and type and with
     the specified rdatas in text format.
@@ -144,6 +149,7 @@ def from_text(name, ttl, rdclass, rdtype
 
     return from_text_list(name, ttl, rdclass, rdtype, text_rdatas)
 
+
 def from_rdata_list(name, ttl, rdatas):
     """Create an RRset with the specified name and TTL, and with
     the specified list of rdata objects.
@@ -151,7 +157,7 @@ def from_rdata_list(name, ttl, rdatas):
     @rtype: dns.rrset.RRset object
     """
 
-    if isinstance(name, (str, unicode)):
+    if isinstance(name, string_types):
         name = dns.name.from_text(name, None)
 
     if len(rdatas) == 0:
@@ -161,10 +167,10 @@ def from_rdata_list(name, ttl, rdatas):
         if r is None:
             r = RRset(name, rd.rdclass, rd.rdtype)
             r.update_ttl(ttl)
-            first_time = False
         r.add(rd)
     return r
 
+
 def from_rdata(name, ttl, *rdatas):
     """Create an RRset with the specified name and TTL, and with
     the specified rdata objects.
Index: dnspython-1.12.0/dns/set.py
===================================================================
--- dnspython-1.12.0.orig/dns/set.py
+++ dnspython-1.12.0/dns/set.py
@@ -15,7 +15,9 @@
 
 """A simple Set class."""
 
+
 class Set(object):
+
     """A simple set class.
 
     Sets are not in Python until 2.3, and rdata are not immutable so
@@ -35,7 +37,7 @@ class Set(object):
         """
 
         self.items = []
-        if not items is None:
+        if items is not None:
             for item in items:
                 self.add(item)
 
@@ -44,7 +46,7 @@ class Set(object):
 
     def add(self, item):
         """Add an item to the set."""
-        if not item in self.items:
+        if item not in self.items:
             self.items.append(item)
 
     def remove(self, item):
@@ -208,10 +210,10 @@ class Set(object):
         # Yes, this is inefficient but the sets we're dealing with are
         # usually quite small, so it shouldn't hurt too much.
         for item in self.items:
-            if not item in other.items:
+            if item not in other.items:
                 return False
         for item in other.items:
-            if not item in self.items:
+            if item not in self.items:
                 return False
         return True
 
@@ -245,7 +247,7 @@ class Set(object):
         if not isinstance(other, Set):
             raise ValueError('other must be a Set instance')
         for item in self.items:
-            if not item in other.items:
+            if item not in other.items:
                 return False
         return True
 
@@ -258,6 +260,6 @@ class Set(object):
         if not isinstance(other, Set):
             raise ValueError('other must be a Set instance')
         for item in other.items:
-            if not item in self.items:
+            if item not in self.items:
                 return False
         return True
